package jrummikub.view;

import java.util.Collection;

import jrummikub.model.Stone;

public interface IView {
  /**
   * Returns the table
   * 
   * @return the table
   */
  public ITable getTable();

  /**
   * Returns the player panel
   * 
   * @return the playerPanel
   */
  public IPlayerPanel getPlayerPanel();

  /**
   * Sets the stones that are to be drawn selected
   * 
   * @param stones
   *          the stones to be drawn selected
   */
  public void setSelectedStones(Collection<Stone> stones);
}
